curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactMethod \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactIndividualId": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"setAsPrimary": "<boolean>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIndividualId: '<integer>',
type: '<string>',
value: '<string>',
isOptedIn: '<boolean>',
setAsPrimary: '<boolean>'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactMethod', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactMethod"
payload = {
"contactIndividualId": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"setAsPrimary": "<boolean>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactMethod");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactIndividualId\": \"<integer>\",\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"isOptedIn\": \"<boolean>\",\n \"setAsPrimary\": \"<boolean>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactMethod';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIndividualId: '<integer>',
type: '<string>',
value: '<string>',
isOptedIn: '<boolean>',
setAsPrimary: '<boolean>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 300101,
"type": "Home Email",
"value": "marcus.castellano@example.org",
"isOptedIn": true,
"isPrimary": true,
"canBePrimary": true,
"createDateTimeUtc": "2025-11-15T18:00:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Create a Contact Method
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The identifier of the contact individual this record belongs to.
The contact method type, for example "Home Email" or "Mobile Phone". Must match a contact method type configured for the organization.
The email address or phone number for the contact method.
When true, the individual has opted in to being contacted at this contact method.
When true, this record becomes the primary one for the contact, replacing any existing primary.
Response
OK
The unique identifier of the record in Virtuous.
When true, this is the primary record for the contact.
When true, this record is eligible to be made the primary one.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Was this page helpful?